@ECHO OFF
CLS

bin\getnba2k3 >getnba.bat
if errorlevel 1 goto getnba2k3_error

call getnba.bat



REM // CHECKING THE PRESENCE OF EAZIP
if not exist %NBA2K3DIR%\eazip.exe goto noeazip

REM // CHECKING THE PRESENCE OF CDBF LITE
if not exist %NBA2K3DIR%\cdbflite.exe goto cdbflite


REM  // INSTALLING FULL LOGO
ren kq.ful kq.fsh
"%NBA2K3DIR%\eazip.exe" -a "%NBA2K3DIR%\renfe\xlogo_f.viv" kq.fsh
ren kq.fsh kq.ful

REM  // INSTALLING MEDIUM LOGO
ren kq.med kq.fsh
"%NBA2K3DIR%\eazip.exe" -a "%NBA2K3DIR%\renfe\xlogo_m.viv" kq.fsh
ren kq.fsh kq.med

REM  // INSTALLING SMALL LOGO
ren kq.sml kq.fsh
"%NBA2K3DIR%\eazip.exe" -a "%NBA2K3DIR%\renfe\xlogo_s.viv" kq.fsh
ren kq.fsh kq.sml

REM  // INSTALLING XOVERLAY LOGO
ren kq.xov kq.fsh
"%NBA2K3DIR%\eazip.exe" -a "%NBA2K3DIR%\render\xoverlay.viv" kq.fsh
ren kq.fsh kq.xov

REM  // INSTALLING PORT BACKGROUND
ren kq.prt kq.fsh
"%NBA2K3DIR%\eazip.exe" -a "%NBA2K3DIR%\renfe\xportbck.viv" kq.fsh
ren kq.fsh kq.prt

REM  //   EXTRACTING JERSEYS FROM THE GAME
REM  //  (DO THIS IF YOU'RE JUST COPYING AN EXISTING MODEL)
"%NBA2K3DIR%\eazip.exe" -e "%NBA2K3DIR%\render\xteam.viv" mlaway.fsh mlaway_num.fsh mlhome.fsh mlhome_num.fsh
ren mlawa*.* kqawa*.*
ren mlhom*.* kqhom*.*

REM  // INSTALLING JERSEYS
"%NBA2K3DIR%\eazip.exe" -a "%NBA2K3DIR%\render\xteam.viv" kqaway.fsh kqaway_num.fsh kqhome.fsh kqhome_num.fsh
del kqawa*.*
del kqhom*.*

REM  //  EXTRACTING A COURT FROM THE GAME
REM  // (DO THIS IF YOU'RE JUST COPYING AN EXISTING MODEL)
"%NBA2K3DIR%\eazip.exe" -e "%NBA2K3DIR%\render\xcourt.viv" mlcrt.fsh mlcrt.o
ren mlcrt.* kqcrt.*

REM  // INSTALLING COURT
"%NBA2K3DIR%\eazip.exe" -a "%NBA2K3DIR%\render\xcourt.viv" kqcrt.fsh kqcrt.o
del kqcrt.*

REM // UPDATING DATABASE
"%NBAUSR_DRV%"
CD\
CD "%NBAUSR_DIR%"
CD SAVES\015
"%NBA2K3DIR%\cdbflite.exe" teams.dbf /case /filter:TEAMNAME="croatia" /field:TEAMABR2="kq" /update

goto success



:getnba2k3_error
ECHO There was an error locating the NBA Live 2003 folder!
goto error

:noeazip
ECHO You don't have the tool "EAZip" in your main NBA Live 2003 folder.
ECHO Get it from nteams.nbalive.org or go.to/nba2kstuff and reinstall this patch.
goto error

:nocdbflite
ECHO You don't have the tool "CDBF Lite" in your main NBA Live 2003 folder.
ECHO Get it from nteams.nbalive.org or nba-live.com and reinstall this patch.
goto error

:success
ECHO.
ECHO Patch installed successfully!
"%NBACUR_DRV%"
CD\
CD "%NBACUR_DIR%"
del getnba.bat >nul
del install.pif >nul
goto end

:error
ECHO.
ECHO Patch NOT installed successfully!
"%NBACUR_DRV%"
CD\
CD "%NBACUR_DIR%"
del getnba.bat >nul
del install.pif >nul
goto end

:end
